%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name zlib
%define f_pkg_name zlib
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.5.0.0
Release: alt7.1

Packager: Alexander Myltsev <avm@altlinux.ru>

Summary: Compression and decompression in the gzip and zlib formats
License: BSD
Group: Development/Haskell

Source: %h_pkg_name-%version.tar

BuildRequires: ghc haddock %hs_package_dependencies base < 5 bytestring >= 0.9
BuildRequires(pre): rpm-build-haskell
BuildRequires: zlib-devel
Requires: zlib-devel


%description
This package provides a pure interface for compressing and
decompressing streams of data represented as lazy
'ByteString's. It uses the zlib C library so it has high
performance. It supports the \"zlib\", \"gzip\" and \"raw\"
compression formats.

It provides a convenient high level api suitable for most
tasks and for the few cases where more control is needed it
provides access to the full zlib feature set.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt7.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt7
- fix pkg_lib path

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.0-alt1.1
- rebuild with new haskell

* Tue Nov 18 2008 Alexander Myltsev <avm@altlinux.ru> 0.5.0.0-alt1
- spec file autogenerated by cabal-rpm
